
// -- METHOD ----------------------------------------------------------------
/** {@inheritDoc}
@since    ${class.since}
*///-------------------------------------------------------------------------
@Override protected void doAssign(
  final ${class.override.value} pTemplate
)
{
  super.doAssign( pTemplate );
  copyPrivate( ${class.copy.cast}pTemplate );
} // doAssign


// -- METHOD ----------------------------------------------------------------
/** {@inheritDoc}
@since    ${class.since}
*///-------------------------------------------------------------------------
@Override protected void initializeMembers(
  final boolean pbRecursive
)
{
  super.initializeMembers( pbRecursive );${member.init.list}
} // initializeMembers


// -- METHOD ----------------------------------------------------------------
/** {@inheritDoc}
@since    ${class.since}
*///-------------------------------------------------------------------------
@Override protected boolean areAllMembersInitialized()
{
  return super.areAllMembersInitialized()${member.is.init.list};
} // areAllMembersInitialized


// -- METHOD ----------------------------------------------------------------
/** {@inheritDoc}
@since    ${class.since}
*///-------------------------------------------------------------------------
@Override protected void resetMembers()
{
  super.resetMembers();${member.reset.list}
} // resetMembers


// -- METHOD ----------------------------------------------------------------
/** {@inheritDoc}
@since    ${class.since}
*///-------------------------------------------------------------------------
@Override protected boolean areAllMembersReset()
{
  return super.areAllMembersReset()${member.is.reset.list};
} // areAllMembersReset


// -- METHOD ----------------------------------------------------------------
/** {@inheritDoc}
@since    ${class.since}
*///-------------------------------------------------------------------------
@Override protected int compareMembers(
  final ${class.override.value} pRight
)
{
  int lnC = super.compareMembers( pRight );
  if ( lnC != 0 ) {
    return lnC;
  }
  final ${class} lRight = ${class.copy.cast}pRight;${member.comparison.list}
  return lnC;
} // compareMembers


// -- METHOD ----------------------------------------------------------------
/** {@inheritDoc}
@since    ${class.since}
*///-------------------------------------------------------------------------
@Override protected boolean isEqual(
  final Object pCompare
)
{
  final ${class} lCompare = ( ${class} )pCompare;
  return
    super.isEqual( pCompare )${member.equals.list};
} // isEqual


// -- METHOD ----------------------------------------------------------------
/** {@inheritDoc}
@since    ${class.since}
*///-------------------------------------------------------------------------
@Override protected int computeHashCode()
{
  return HashTool.combine(
    super.computeHashCode()${member.hashcode.list}
  );
} // computeHashCode


// -- METHOD ----------------------------------------------------------------
/** {@inheritDoc}
@since    ${class.since}
*///-------------------------------------------------------------------------
@Override protected void describeMembers(
  final StringBuilder pBuf
)
{
  super.describeMembers( pBuf );${member.description.list}
} // describeMembers

